-- --------------------------------------------------------
-- Хост:                         127.0.0.1
-- Версия сервера:               5.5.50 - MySQL Community Server (GPL)
-- ОС Сервера:                   Win32
-- HeidiSQL Версия:              9.3.0.4984
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- Дамп структуры для таблица Zapoln.correction
CREATE TABLE IF NOT EXISTS `correction` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `document_id` int(10) NOT NULL,
  `resolution_date` datetime NOT NULL COMMENT 'Дата решения',
  `resolution_num` varchar(50) NOT NULL COMMENT 'Номер решения',
  `resolution_type` varchar(50) NOT NULL COMMENT 'Тип решения',
  `is_allowed` tinyint(4) NOT NULL COMMENT 'Принятое решение',
  `resolution_reason` varchar(250) NOT NULL COMMENT 'Основание решения',
  `correction_date` datetime DEFAULT NULL COMMENT 'Дата вненённого изменения',
  `correction_num` varchar(50) DEFAULT NULL COMMENT 'Номер внесённого изменения',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Внесение изменений';

-- Дамп данных таблицы Zapoln.correction: ~0 rows (приблизительно)
/*!40000 ALTER TABLE `correction` DISABLE KEYS */;
/*!40000 ALTER TABLE `correction` ENABLE KEYS */;


-- Дамп структуры для таблица Zapoln.documents
CREATE TABLE IF NOT EXISTS `documents` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Первичный ключ',
  `permits_organization_id` bigint(20) NOT NULL COMMENT 'Орган, выдающий документ разрешительного характера',
  `permits_document_id` bigint(20) NOT NULL COMMENT 'ID разрешительного документа',
  `applicant_type` enum('Индивидуальный предприниматель','Юридическое лицо') NOT NULL COMMENT 'Тип заявителя',
  `applicant_id` bigint(20) NOT NULL COMMENT 'ID заявителя',
  `apply_date` datetime DEFAULT NULL COMMENT 'Дата поступления заявления',
  `apply_num` varchar(50) NOT NULL COMMENT 'Номер заявления',
  `object_id` bigint(20) NOT NULL COMMENT 'Сведения об объекте',
  `valid_time_from` datetime DEFAULT NULL COMMENT 'Дата начала действия разрешительного документа',
  `valid_time_to` datetime DEFAULT NULL COMMENT 'Дата окончания действия разрешительного документа',
  `decision_date` datetime DEFAULT NULL COMMENT 'Дата решения',
  `decision_num` varchar(255) DEFAULT NULL COMMENT 'Номер решения',
  `decision_type` enum('Протокол лицензионной комиссии','Протокол аккредитационной комиссии','Письмо','Приказ','Распоряжение','') DEFAULT NULL COMMENT 'Тип решени',
  `is_allowed` enum('Разрешено','Отказано') DEFAULT NULL COMMENT 'Разрешено или отказано',
  `denial_reason` text COMMENT 'Причина отказа',
  `issue_date` datetime DEFAULT NULL COMMENT 'Дата выдачи разр.документа',
  `issue_series` varchar(255) DEFAULT NULL COMMENT 'Серия выданного разр. документа',
  `issue_num` varchar(255) DEFAULT NULL COMMENT 'Номер выданного разр.документа',
  `status` varchar(255) DEFAULT NULL,
  `current_time_to` datetime DEFAULT NULL COMMENT 'Дата окончания действия разрешительного документа',
  `current_series` varchar(50) DEFAULT NULL COMMENT 'Текущая серия документа',
  `current_num` varchar(50) DEFAULT NULL COMMENT 'Текущий номер документа',
  `current_object_id` bigint(20) DEFAULT NULL COMMENT 'Текущий id объекта',
  `current_applicant_id` bigint(20) DEFAULT NULL COMMENT 'Текущий id субъекта',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Основная таблица для документов';

-- Дамп данных таблицы Zapoln.documents: ~0 rows (приблизительно)
/*!40000 ALTER TABLE `documents` DISABLE KEYS */;
/*!40000 ALTER TABLE `documents` ENABLE KEYS */;


-- Дамп структуры для таблица Zapoln.extend
CREATE TABLE IF NOT EXISTS `extend` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `document_id` bigint(20) NOT NULL COMMENT 'Номер РЭ',
  `status` varchar(50) NOT NULL DEFAULT 'Продлен' COMMENT 'Статус',
  `apply_date` datetime DEFAULT NULL COMMENT 'Дата решения',
  `apply_num` varchar(50) DEFAULT NULL COMMENT 'Номер решения',
  `permits_organization_id` int(11) NOT NULL COMMENT 'Орган, принявший решение',
  `is_allowed` enum('Разрешено','Отказано','') NOT NULL COMMENT 'Решение',
  `reason` varchar(50) NOT NULL COMMENT 'Основание решения',
  `date_from` datetime DEFAULT NULL COMMENT 'Дата начала действия документа',
  `date_to` datetime DEFAULT NULL COMMENT 'Дата окончания действия документа',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Продление документов';

-- Дамп данных таблицы Zapoln.extend: ~0 rows (приблизительно)
/*!40000 ALTER TABLE `extend` DISABLE KEYS */;
/*!40000 ALTER TABLE `extend` ENABLE KEYS */;


-- Дамп структуры для таблица Zapoln.fizical
CREATE TABLE IF NOT EXISTS `fizical` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `last_name` varchar(255) NOT NULL COMMENT 'Фамилия',
  `first_name` varchar(255) NOT NULL COMMENT 'Имя',
  `middle_name` varchar(255) DEFAULT NULL COMMENT 'Отчество',
  `series` varchar(255) NOT NULL COMMENT 'Серия паспорта',
  `num` varchar(255) NOT NULL COMMENT 'Номер паспорта',
  `country` varchar(255) DEFAULT NULL COMMENT 'Страна',
  `region` varchar(255) DEFAULT NULL COMMENT 'Район',
  `city` varchar(255) DEFAULT NULL COMMENT 'Населенный пункт',
  `street` varchar(255) DEFAULT NULL COMMENT 'Улица',
  `house` varchar(255) DEFAULT NULL COMMENT 'Дом',
  `flat` varchar(255) DEFAULT NULL COMMENT 'Квартира',
  `notes` longtext COMMENT 'Примечание',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=COMPACT COMMENT='Таблица физических лиц';

-- Дамп данных таблицы Zapoln.fizical: ~0 rows (приблизительно)
/*!40000 ALTER TABLE `fizical` DISABLE KEYS */;
/*!40000 ALTER TABLE `fizical` ENABLE KEYS */;


-- Дамп структуры для таблица Zapoln.individuals
CREATE TABLE IF NOT EXISTS `individuals` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `last_name` varchar(255) NOT NULL COMMENT 'Фамилия',
  `first_name` varchar(255) NOT NULL COMMENT 'Имя',
  `middle_name` varchar(255) DEFAULT NULL COMMENT 'Отчество',
  `series` varchar(255) NOT NULL COMMENT 'Серия свидетельства о регистрации',
  `num` varchar(255) NOT NULL COMMENT 'Номер свидетельства о регистрации',
  `country` varchar(255) DEFAULT NULL COMMENT 'Страна',
  `region` varchar(255) DEFAULT NULL COMMENT 'Район',
  `city` varchar(255) DEFAULT NULL COMMENT 'Населенный пункт',
  `street` varchar(255) DEFAULT NULL COMMENT 'Улица',
  `house` varchar(255) NOT NULL COMMENT 'Дом',
  `flat` varchar(255) DEFAULT NULL COMMENT 'Квартира',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Таблица индивидуальных предпринимателей';

-- Дамп данных таблицы Zapoln.individuals: ~0 rows (приблизительно)
/*!40000 ALTER TABLE `individuals` DISABLE KEYS */;
/*!40000 ALTER TABLE `individuals` ENABLE KEYS */;


-- Дамп структуры для таблица Zapoln.issued_duplicate
CREATE TABLE IF NOT EXISTS `issued_duplicate` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `document_id` bigint(20) NOT NULL COMMENT 'ID документа',
  `resolution` tinyint(4) NOT NULL COMMENT 'Положительное решение',
  `resolution_date` datetime NOT NULL COMMENT 'Дата решения',
  `resolution_num` varchar(50) NOT NULL COMMENT 'Номер решения',
  `resolution_reason` text COMMENT 'Основания решения',
  `doc_date` datetime DEFAULT NULL COMMENT 'Дата выдачи дубликата',
  `doc_series` varchar(50) DEFAULT NULL COMMENT 'Серия дубликата',
  `doc_num` varchar(50) DEFAULT NULL COMMENT 'Номер дубликата',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Выдача дубликатов';

-- Дамп данных таблицы Zapoln.issued_duplicate: ~0 rows (приблизительно)
/*!40000 ALTER TABLE `issued_duplicate` DISABLE KEYS */;
/*!40000 ALTER TABLE `issued_duplicate` ENABLE KEYS */;


-- Дамп структуры для таблица Zapoln.issued_reissuance
CREATE TABLE IF NOT EXISTS `issued_reissuance` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Первичный ключ',
  `document_id` bigint(20) NOT NULL COMMENT 'ID документа',
  `type` enum('Переоформление','Изменение') NOT NULL COMMENT 'Тип решения',
  `resolution` tinyint(4) NOT NULL COMMENT 'Положительное решение',
  `resolution_date` datetime NOT NULL COMMENT 'Дата решения',
  `resolution_num` varchar(50) NOT NULL COMMENT 'Номер решения',
  `resolution_reason` text NOT NULL COMMENT 'Основания решения',
  `doc_date` datetime NOT NULL COMMENT 'Дата выдачи переоформленного документа',
  `doc_series` varchar(50) NOT NULL COMMENT 'Серия переоформленного документа',
  `doc_num` varchar(50) NOT NULL COMMENT 'Номер переоформленного документа',
  `applicant_type` enum('Юридическое лицо','Индивидуальный предприниматель','') DEFAULT NULL COMMENT 'Тип заявителя',
  `applicant_id` bigint(20) unsigned DEFAULT NULL COMMENT 'ID заявител',
  `object_id` bigint(20) unsigned DEFAULT NULL COMMENT 'Сведения об объекте',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Переоформление документов';

-- Дамп данных таблицы Zapoln.issued_reissuance: ~0 rows (приблизительно)
/*!40000 ALTER TABLE `issued_reissuance` DISABLE KEYS */;
/*!40000 ALTER TABLE `issued_reissuance` ENABLE KEYS */;


-- Дамп структуры для таблица Zapoln.legal_entities
CREATE TABLE IF NOT EXISTS `legal_entities` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `form_name` varchar(255) NOT NULL COMMENT 'Организацонно-правовая форма',
  `name` varchar(255) NOT NULL COMMENT 'Полное наименование',
  `short_name` varchar(255) DEFAULT NULL COMMENT 'Сокращенное наименование юридического лица',
  `series` varchar(255) NOT NULL COMMENT 'Серия свидетельства о регистрации',
  `num` varchar(255) NOT NULL COMMENT 'Номер свидетельства о регистрации',
  `reg_num` varchar(255) DEFAULT NULL COMMENT 'Регистрационный номер записи о создании  юр. лица',
  `created_date` date DEFAULT NULL COMMENT 'Дата внесения записи о создании юр. лица',
  `country` varchar(255) DEFAULT NULL COMMENT 'Страна',
  `region` varchar(255) DEFAULT NULL COMMENT 'Район',
  `city` varchar(255) DEFAULT NULL COMMENT 'Населенный пункт',
  `street` varchar(255) DEFAULT NULL COMMENT 'Улица',
  `house` varchar(255) DEFAULT NULL COMMENT 'Дом',
  `flat` varchar(255) DEFAULT NULL COMMENT 'Квартира',
  `notes` longtext COMMENT 'Примечание',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Таблица юридических лиц';

-- Дамп данных таблицы Zapoln.legal_entities: ~0 rows (приблизительно)
/*!40000 ALTER TABLE `legal_entities` DISABLE KEYS */;
/*!40000 ALTER TABLE `legal_entities` ENABLE KEYS */;


-- Дамп структуры для таблица Zapoln.objects
CREATE TABLE IF NOT EXISTS `objects` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `property1` varchar(255) DEFAULT NULL,
  `property2` varchar(255) DEFAULT NULL,
  `property3` varchar(255) DEFAULT NULL,
  `property4` varchar(255) DEFAULT NULL,
  `property5` varchar(255) DEFAULT NULL,
  `property6` varchar(255) DEFAULT NULL,
  `property7` varchar(255) DEFAULT NULL,
  `property8` varchar(255) DEFAULT NULL,
  `property9` varchar(255) DEFAULT NULL,
  `property10` varchar(255) DEFAULT NULL,
  `property11` varchar(255) DEFAULT NULL,
  `property12` varchar(255) DEFAULT NULL,
  `property13` varchar(255) DEFAULT NULL,
  `property14` varchar(255) DEFAULT NULL,
  `property15` varchar(255) DEFAULT NULL,
  `property16` varchar(255) DEFAULT NULL,
  `property17` varchar(255) DEFAULT NULL,
  `property18` varchar(255) DEFAULT NULL,
  `property19` varchar(255) DEFAULT NULL,
  `property20` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- Дамп данных таблицы Zapoln.objects: ~0 rows (приблизительно)
/*!40000 ALTER TABLE `objects` DISABLE KEYS */;
/*!40000 ALTER TABLE `objects` ENABLE KEYS */;


-- Дамп структуры для таблица Zapoln.objects_column
CREATE TABLE IF NOT EXISTS `objects_column` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `column_name` tinytext NOT NULL,
  `name` tinytext NOT NULL,
  `visible` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=43 DEFAULT CHARSET=utf8;

-- Дамп данных таблицы Zapoln.objects_column: ~20 rows (приблизительно)
/*!40000 ALTER TABLE `objects_column` DISABLE KEYS */;
INSERT INTO `objects_column` (`id`, `column_name`, `name`, `visible`) VALUES
	(23, 'property1', 'Столбец 1', 1),
	(24, 'property2', 'Столбец 2', 1),
	(25, 'property3', 'Столбец 3', 1),
	(26, 'property4', 'Столбец 4', 1),
	(27, 'property5', 'Столбец 5', 1),
	(28, 'property6', 'Столбец 6', 1),
	(29, 'property7', 'Столбец 7', 1),
	(30, 'property8', 'Столбец 8', 1),
	(31, 'property9', 'Столбец 9', 1),
	(32, 'property10', 'Столбец 10', 1),
	(33, 'property11', 'Столбец 11', 1),
	(34, 'property12', 'Столбец 12', 1),
	(35, 'property13', 'Столбец 13', 1),
	(36, 'property14', 'Столбец 14', 1),
	(37, 'property15', 'Столбец 15', 1),
	(38, 'property16', 'Столбец 16', 1),
	(39, 'property17', 'Столбец 17', 1),
	(40, 'property18', 'Столбец 18', 1),
	(41, 'property19', 'Столбец 19', 1),
	(42, 'property20', 'Столбец 20', 1);
/*!40000 ALTER TABLE `objects_column` ENABLE KEYS */;


-- Дамп структуры для таблица Zapoln.permits_documents
CREATE TABLE IF NOT EXISTS `permits_documents` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Первичный ключ',
  `name` varchar(255) NOT NULL COMMENT 'Наименование документа',
  `is_abolition` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Упразднён?',
  `abolition_date` date DEFAULT NULL COMMENT 'Дата прекращения/упразднения разр.документа',
  `abolition_act` text COMMENT 'Нормативно-правовой акт прекращения упразднения',
  `notes` longtext COMMENT 'Примечание',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Справочник разрешительных документов';

-- Дамп данных таблицы Zapoln.permits_documents: ~0 rows (приблизительно)
/*!40000 ALTER TABLE `permits_documents` DISABLE KEYS */;
/*!40000 ALTER TABLE `permits_documents` ENABLE KEYS */;


-- Дамп структуры для таблица Zapoln.permits_organizations
CREATE TABLE IF NOT EXISTS `permits_organizations` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Первичный ключ',
  `name` varchar(500) DEFAULT NULL COMMENT 'Наименование организации',
  `notes` longtext COMMENT 'Примечание',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Справочник органов, выдающих разрешительные документы';

-- Дамп данных таблицы Zapoln.permits_organizations: ~0 rows (приблизительно)
/*!40000 ALTER TABLE `permits_organizations` DISABLE KEYS */;
/*!40000 ALTER TABLE `permits_organizations` ENABLE KEYS */;


-- Дамп структуры для таблица Zapoln.stay_documents
CREATE TABLE IF NOT EXISTS `stay_documents` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `document_id` bigint(20) NOT NULL COMMENT 'ID документа',
  `action_type` enum('Приостановлен','Возобновлен','Анулирован') NOT NULL COMMENT 'Статус',
  `date` datetime NOT NULL COMMENT 'Дата решения',
  `num` int(11) NOT NULL COMMENT 'Номер решения',
  `reason` text COMMENT 'Причина решения',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Таблица изменения статусов документа';

-- Дамп данных таблицы Zapoln.stay_documents: ~0 rows (приблизительно)
/*!40000 ALTER TABLE `stay_documents` DISABLE KEYS */;
/*!40000 ALTER TABLE `stay_documents` ENABLE KEYS */;
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
